Q_SETINFO(2const)

NAME
Q_SETINFO - set information about quotafile

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

int quotactl(QCMD(Q_SETINFO, type), const char *_Nullable special, 0,
             caddr_t addr);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_SETINFO, type), 0,
            struct dqinfo *addr);

DESCRIPTION
Set information about quotafile.

The addr argument should be a pointer to a dqinfo(2type) structure. The .dqi_valid field of the dqinfo(2type) structure indicates the entries in the structure that have been set by the caller.

This operation requires privilege (CAP_SYS_ADMIN).

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux 2.4.22.

This operation supersedes the Q_SETGRACE and Q_SETFLAGS operations in the previous quota interfaces.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_GETINFO(2const) dqinfo(2type)